Summary: Maxima Symbolic Computation Program
Name: maxima

%global momorel 3
Version: 5.9.1
%global realver %{version}%{?rcver:rc%{rcver}}
Release: %{?rcver:0.%{rcver}.}%{momorel}m
License: GPL
Group: Applications/Engineering
URL: http://maxima.sourceforge.net/

### include local configuration
%{?include_specopt}
# default lisp may be one of clisp,cmucl,gcl
%{?!default_lisp: %global default_lisp      clisp}
%{?!build_gcl:    %global build_gcl         0}
%{?!build_clisp:  %global build_clisp       1}
%ifarch %{ix86}
%{?!build_cmucl:  %global build_cmucl       1}
%else
%{?!build_cmucl:  %global build_cmucl       0}
%endif

%NoSource 0 http://osdn.dl.sourceforge.net/sourceforge/%{name}/%{name}-%{realver}.tar.gz 659acfad1f61444cf5b38f6c28279d40
%NoSource 1 http://maxima.sourceforge.net/docs/maximabook/maximabook-19-Sept-2004.pdf 9faa5a513de43b5e7384216a8783f620
Patch0: maxima-5.9.0-infodir.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: texinfo, tetex-latex, tetex-dvipsk
BuildRequires: desktop-file-utils
%if %{build_clisp}
BuildRequires: clisp
%endif
%if %{build_gcl}
BuildRequires: gcl >= 2.5.3-5m
%endif
%if %{build_cmucl}
BuildRequires: cmucl
%endif
Requires: maxima_exec = %{version}-%{release}, gnuplot

%description
Maxima is a full symbolic computation program.  It is full featured
doing symbolic manipulation of polynomials, matrices, rational
functions, integration, Todd-coxeter, graphing, bigfloats.  It has a
symbolic debugger source level debugger for maxima code.  Maxima is
based on the original Macsyma developed at MIT in the 1970's.  It is
quite reliable, and has good garbage collection, and no memory leaks.
It comes with hundreds of self tests.
#'

%package xmaxima
Summary: Tcl/Tk interface to Maxima
Group: Applications/Engineering
Requires: tk
Requires: %{name} = %{version}-%{release}
Provides: xmaxima

%description xmaxima
Tcl/Tk interface to Maxima.

%if %{build_gcl}
%package exec_gcl
Summary: Maxima compiled with GCL
Group: Applications/Engineering
Requires: %{name} = %{version}-%{release}
Provides: maxima_exec

%description exec_gcl
Maxima compiled with Gnu Common Lisp.
%endif

%if %{build_clisp}
%package exec_clisp
Summary: Maxima compiled with clisp
Group: Applications/Engineering
Requires: %{name} = %{version}-%{release}
Requires: clisp
Provides: maxima_exec

%description exec_clisp
Maxima compiled with clisp.
%endif

%if %{build_cmucl}
%package exec_cmucl
Summary: Maxima compiled with CMUCL
Group: Applications/Engineering
Requires: %{name} = %{version}-%{release}
Requires: cmucl
Provides: maxima_exec

%description exec_cmucl
Maxima compiled with CMUCL.
%endif

%prep
%setup -q -n %{name}-%{realver}
cp %{SOURCE1} .
#%patch0 -p1
%__cp interfaces/emacs/emaxima/emaxima.sty doc/maximabook

%build
CFLAGS=`echo %{optflags} | sed -e 's/-ffast-math//g'`
CXXFLAGS=`echo %{optflags} | sed -e 's/-ffast-math//g'`
%if %{build_clisp}
CLISP="--enable-clisp"
%else
CLISP="--disable-clisp"
%endif
%if %{build_gcl}
GCL="--enable-gcl"
%else
GCL="--disable-gcl"
%endif
%if %{build_cmucl}
CMUCL="--enable-cmucl --with-cmucl=lisp --with-cmucl-runtime=/usr/lib/cmucl/bin/lisp"
%else
CMUCL="--disable-cmucl"
%endif


%configure \
    --with-default-lisp=%{default_lisp} \
    $CLISP $GCL $CMUCL

%__make
%__make check

#(
#  cd doc/maximabook
#  %__make
#)
(
  cd doc/intromax
  latex intromax.ltx
  dvips intromax.dvi
  pdflatex intromax.ltx
)

%install
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

%makeinstall

## copy info file for maxima.
%__mkdir_p %{buildroot}%{_datadir}/%{name}/%{realver}/info
%__install -m 0644 %{buildroot}%{_infodir}/maxima.info* \
  %{buildroot}%{_datadir}/%{name}/%{realver}/info

%__rm -rf %{buildroot}%{_datadir}/%{name}/%{realver}/emacs

## desktop
%__mkdir_p %{buildroot}%{_datadir}/applications
%__cat > xmaxima.desktop <<EOF
[Desktop Entry]
Name=XMaxima
Comment=Symbolic Computation Program
Exec=xmaxima
Terminal=false
Type=Application
Icon=/usr/share/maxima/5.9.1/xmaxima/maxima-icon.png
EOF

# install desktop file
desktop-file-install --vendor= --delete-original \
  --dir %{buildroot}%{_datadir}/applications \
  --add-category Application \
  --add-category Engineering \
  --add-category Science \
  --add-category Math \
  --add-category Education \
  xmaxima.desktop


%__rm -f %{buildroot}%{_infodir}/dir

%clean
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

%post
/sbin/install-info %{_infodir}/%{name}.info.* %{_infodir}/dir

%postun
/sbin/install-info --delete %{_infodir}/%{name}.info.* %{_infodir}/dir

%files
%defattr(-,root,root)
#%%doc doc/maximabook/maxima.ps doc/maximabook/maxima.pdf
%doc maximabook-19-Sept-2004.pdf
%doc doc/intromax/intromax.ps doc/intromax/intromax.pdf
%{_bindir}/%{name}
%{_bindir}/rmaxima
%dir %{_libexecdir}/%{name}
%{_libexecdir}/%{name}/%{realver}
%{_infodir}/%{name}.*
%{_mandir}/man1/*.1*
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/%{realver}
%{_datadir}/%{name}/%{realver}/demo
%{_datadir}/%{name}/%{realver}/doc
%{_datadir}/%{name}/%{realver}/info
%{_datadir}/%{name}/%{realver}/share
%{_datadir}/%{name}/%{realver}/src
%{_datadir}/%{name}/%{realver}/tests

%files xmaxima
%defattr(-,root,root)
%{_datadir}/applications/xmaxima.desktop
%{_bindir}/xmaxima
%{_datadir}/%{name}/%{realver}/xmaxima

%if %{build_gcl}
%files exec_gcl
%defattr(-,root,root)
%{_libdir}/%{name}/%{realver}/binary-gcl
%endif

%if %{build_clisp}
%files exec_clisp
%defattr(-,root,root)
%{_libdir}/%{name}/%{realver}/binary-clisp
%endif

%if %{build_cmucl}
%files exec_cmucl
%defattr(-,root,root)
%{_libdir}/%{name}/%{realver}/binary-cmucl
%endif

%changelog
* Thu Feb 17 2005 mutecat <mutecat@momonga-linux.org>
- (5.9.1-3m)
- arrange ppc without cmucl

* Thu Jan 13 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (5.9.1-2m)
- add Education to Categories of xmaxima.desktop for KDE

* Sun Oct 31 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (5.9.1-1m)
- version 5.9.1 has been released.
- use %%build_gcl etc. to control whether to build with specific lisps
- - set %%build_gcl to 0 because gcl_binary fails to build...Please fix!
- not make docs and download it from the web site
- - latex procedure fails because build requires some *.sty which are missing

* Tue May  4 2004 Toru Hoshina <t@momonga-linux.org>
- (5.9.0-8m)
- rebuild against ncurses 5.3.

* Tue Mar 23 2004 Toru Hoshina <t@momonga-linux.org>
- (5.9.0-7m)
- revised spec for enabling rpm 4.2.

* Tue Dec 30 2003 Kenta MURATA <muraken2@nifty.com>
- (5.9.0-6m)
- copy info for ? command.

* Mon Dec 29 2003 Kenta MURATA <muraken2@nifty.com>
- (5.9.0-5m)
- %%NoSource.
- --enable-gcl and --with-default-lisp=gcl.
- includes some documents.

* Mon Dec 29 2003 Kenta MURATA <muraken2@nifty.com>
- (5.9.0-4m)
- --enable-gcl
- %%NoSource.

* Thu Mar  6 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (5.9.0-3m)
- fix URL
- add and tmp comment out loop BuildRequires: maxima-xmaxima

* Fri Feb 14 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (5.9.0-2m)
- [Momonga-devel.ja:01389] thanks.

* Tue Feb 11 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (5.9.0-1m)
  update to 5.9.0

* Thu Nov 14 2002 OZAWA -Crouton- Sakuro <crouton@momonga-linux.org>
- (5.9.0-0.3.1m)
- initial import to Momonga.

* Sun Sep  8 2002 James Amundson <amundson@fnal.gov> 
- Initial build.
